#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;

    vector<int> a(n, -1), b(n, -1);
    int j = 1;

    for(int i = 0; i < n; i += 2)
    {
        a[i] = j;
        j++;
        b[i] = j;
        j++;
    }

    for(int i = 1; i < n; i += 2)
    {
        b[i] = j;
        j++;
        a[i] = j;
        j++;
    }

    for(int x : a) cout << x << " "; cout << endl;
    for(int x : b) cout << x << " ";

    return 0;
}